libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DataModelIter Class Reference

Inheritance diagram for Gnome::Gda::DataModelIter:

[legend]
List of all members.

## Public Member Functions

int | get_column_for_param (const Glib::RefPtr<Parameter>& param)
| Get the column number in the Gda::DataModel for which iter is an iterator as represented by the param parameter.
Glib::RefPtr<const Parameter> | get_param_for_column (int col) const
| Fetch a pointer to the Gda::Parameter object which is synchronized with data at column col.
Glib::RefPtr<Parameter> | get_param_for_column (int col)
| Fetch a pointer to the Gda::Parameter object which is synchronized with data at column col.
int | get_row () const
| Get the row which iter represents in the data model.
const GdaDataModelIter* | gobj () const
| Provides access to the underlying C GObject.
GdaDataModelIter* | gobj ()
| Provides access to the underlying C GObject.
GdaDataModelIter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | invalidate_contents ()
| Declare all the parameters in iter invalid, without modifying the Gda::DataModel iter is for or changing the row it represents.
bool | is_valid () const
| Tells if iter is a valid iterator (if it actually corresponds to a valid row in the model).
bool | move_next ()
| Moves iter one row further than where it already is (synchronizes the values of the parameters in iter with the values at the new row).
bool | move_prev ()
| Moves iter one row before where it already is (synchronizes the values of the parameters in iter with the values at the new row).
Glib::PropertyProxy_ReadOnly< int > | property_current_row () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_current_row ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DataModel >> | property_data_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DataModel >> | property_forced_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< DataModel > > | property_forced_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_update_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_update_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
bool | set_at_row (int row)
| Synchronizes the values of the parameters in iter with the values at the row row.
Glib::SignalProxy0<void> | signal_end_of_data ()

Prototype:
  `void on_my_end_of_data()`

Glib::SignalProxy1< void, int > | signal_row_changed ()

Prototype:
  `void on_my_row_changed(int row)`

virtual | ~DataModelIter ()

## Static Public Member Functions

static Glib::RefPtr<DataModelIter> | create (const Glib::RefPtr<DataModel>& data_model)

## Protected Member Functions

| DataModelIter (const Glib::RefPtr<DataModel>& data_model)
virtual void | on_end_of_data ()
virtual void | on_row_changed (int row)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::DataModelIter> | wrap (GdaDataModelIter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gnome::Gda::DataModelIter::~DataModelIter | ( |  | ) | `[virtual]`

Gnome::Gda::DataModelIter::DataModelIter | ( | const Glib::RefPtr<DataModel>& | data_model | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<DataModelIter> Gnome::Gda::DataModelIter::create | ( | const Glib::RefPtr<DataModel>& | data_model | ) | `[static]`

int Gnome::Gda::DataModelIter::get_column_for_param | ( | const Glib::RefPtr<Parameter>& | param | ) |

Get the column number in the Gda::DataModel for which iter is an iterator as represented by the param parameter.

Parameters:

  | param | A Gda::Parameter object, listed in iter.

Returns:
  The column number, or param is not valid.

Glib::RefPtr<const Parameter> Gnome::Gda::DataModelIter::get_param_for_column | ( | int | col | ) | const

Fetch a pointer to the Gda::Parameter object which is synchronized with data at column col.

Parameters:

  | col | The requested column.

Returns:
  The Gda::Parameter, or `0` if an error occurred.

Glib::RefPtr<Parameter> Gnome::Gda::DataModelIter::get_param_for_column | ( | int | col | ) |

Fetch a pointer to the Gda::Parameter object which is synchronized with data at column col.

Parameters:

  | col | The requested column.

Returns:
  The Gda::Parameter, or `0` if an error occurred.

int Gnome::Gda::DataModelIter::get_row | ( |  | ) | const

Get the row which iter represents in the data model.

Returns:
  The row number, or -1 if not available.

const GdaDataModelIter* Gnome::Gda::DataModelIter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::ParameterList.

GdaDataModelIter* Gnome::Gda::DataModelIter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::ParameterList.

GdaDataModelIter* Gnome::Gda::DataModelIter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::ParameterList.

void Gnome::Gda::DataModelIter::invalidate_contents | ( |  | ) |

Declare all the parameters in iter invalid, without modifying the Gda::DataModel iter is for or changing the row it represents.

bool Gnome::Gda::DataModelIter::is_valid | ( |  | ) | const

Tells if iter is a valid iterator (if it actually corresponds to a valid row in the model).

Returns:
  `true` if iter is valid.

Reimplemented from Gnome::Gda::ParameterList.

bool Gnome::Gda::DataModelIter::move_next | ( |  | ) |

Moves iter one row further than where it already is (synchronizes the values of the parameters in iter with the values at the new row).

Returns:
  `true` if no error occurred.

bool Gnome::Gda::DataModelIter::move_prev | ( |  | ) |

Moves iter one row before where it already is (synchronizes the values of the parameters in iter with the values at the new row).

Returns:
  `true` if no error occurred.

virtual void Gnome::Gda::DataModelIter::on_end_of_data | ( |  | ) | `[protected, virtual]`

virtual void Gnome::Gda::DataModelIter::on_row_changed | ( | int | row | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<int> Gnome::Gda::DataModelIter::property_current_row | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gnome::Gda::DataModelIter::property_current_row | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<DataModel>> Gnome::Gda::DataModelIter::property_data_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<DataModel>> Gnome::Gda::DataModelIter::property_forced_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<DataModel>> Gnome::Gda::DataModelIter::property_forced_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gnome::Gda::DataModelIter::property_update_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gnome::Gda::DataModelIter::property_update_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

bool Gnome::Gda::DataModelIter::set_at_row | ( | int | row | ) |

Synchronizes the values of the parameters in iter with the values at the row row.

If row < 0 then iter is not bound to any row of the data model it iters through.

Parameters:

  | row | The row to set iter to.

Returns:
  `true` if no error occurred.

Glib::SignalProxy0< void > Gnome::Gda::DataModelIter::signal_end_of_data | ( |  | ) |

Prototype:
  `void on_my_end_of_data()`

Glib::SignalProxy1< void,int > Gnome::Gda::DataModelIter::signal_row_changed | ( |  | ) |

Prototype:
  `void on_my_row_changed(int row)`

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::DataModelIter> wrap | ( | GdaDataModelIter * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- datamodeliter.h